Package org.apache.lucene.facet.taxonomy

## Class BackCompatSortedNumericDocValues

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.SortedNumericDocValues
    - - org.apache.lucene.facet.taxonomy.BackCompatSortedNumericDocValues

-     @Deprecated
      public class BackCompatSortedNumericDocValues
      extends SortedNumericDocValues

  Deprecated.
  Only here for back-compat support. Should be removed with Lucene 10.
  Wraps a `BinaryDocValues` instance, providing a `SortedNumericDocValues` interface for the purpose of being backwards-compatible. (see: LUCENE-10062)

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `advance​(int target)` | Deprecated.
    `boolean` | `advanceExact​(int target)` | Deprecated.
    `long` | `cost()` | Deprecated.
    `int` | `docID()` | Deprecated.
    `int` | `docValueCount()` | Deprecated.
    `int` | `nextDoc()` | Deprecated.
    `long` | `nextValue()` | Deprecated.
    `static SortedNumericDocValues` | `wrap​(BinaryDocValues binaryDocValues, BiConsumer<BytesRef,​IntsRef> binaryValueDecoder)` | Deprecated. Wrap the provided binary encoded doc values.

    - ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

      `all, empty, range, slowAdvance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### wrap

          public static SortedNumericDocValues wrap​(BinaryDocValues binaryDocValues,
                                                    BiConsumer<BytesRef,​IntsRef> binaryValueDecoder)

      Deprecated.
      Wrap the provided binary encoded doc values. Decodes the binary values with the provided `binaryValueDecoder`, allowing the default decoding behavior to be overridden. If a null doc values instance is provided, the returned instance will also be null. If a null value decoder is specified, the default encoding will be assumed.

    - #### advanceExact

          public boolean advanceExact​(int target)
                               throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### nextValue

          public long nextValue()
                         throws IOException

      Deprecated.
      Specified by:
        `nextValue` in class `SortedNumericDocValues`
      Throws:
        `IOException`

    - #### docValueCount

          public int docValueCount()

      Deprecated.
      Specified by:
        `docValueCount` in class `SortedNumericDocValues`

    - #### docID

          public int docID()

      Deprecated.
      Specified by:
        `docID` in class `DocIdSetIterator`

    - #### nextDoc

          public int nextDoc()
                      throws IOException

      Deprecated.
      Specified by:
        `nextDoc` in class `DocIdSetIterator`
      Throws:
        `IOException`

    - #### advance

          public int advance​(int target)
                      throws IOException

      Deprecated.
      Specified by:
        `advance` in class `DocIdSetIterator`
      Throws:
        `IOException`

    - #### cost

          public long cost()

      Deprecated.
      Specified by:
        `cost` in class `DocIdSetIterator`